#include "browserutils.h"
#include <QRegExp>
#include <QStringList>

QString BrowserUtils::display_host() const
{
    QString disp = QString(getenv("DISPLAY"));
    QRegExp re("([A-Za-z_0-9\\.\\-]*):(\\d*)[\\.]{0,1}(\\d*)");
    if(re.indexIn(disp) > -1 && re.capturedTexts().size() > 1) {
        return re.capturedTexts().at(1);
    }
    return "";
}

int BrowserUtils::display_number() const
{
    QString disp = QString(getenv("DISPLAY"));
    QRegExp re("([A-Za-z_0-9\\.\\-]*):(\\d*)[\\.]{0,1}(\\d*)");
    if(re.indexIn(disp) > -1 && re.capturedTexts().size() > 2) {
        return re.capturedTexts().at(2).toInt();
    }
    return -1;
}

int BrowserUtils::screen_number() const
{
    QString disp = QString(getenv("DISPLAY"));
    QRegExp re("([A-Za-z_0-9\\.\\-]*):(\\d*)[\\.]{0,1}(\\d*)");
    if(re.indexIn(disp) > -1 && re.capturedTexts().size() > 3) {
        return re.capturedTexts().at(3).toInt();
    }
    return -1;
}
